POST /lead_wait_rules

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/lead_wait_rules

Create Wait Rule.

Creates a Wait Rule specifying wait_seconds and, optionally, the call dispositions or token filters that must match for the wait to apply.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

wait_seconds
Optional Blank value allowed

Wait Seconds

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

filter_call_disposition_ids
Optional Blank value allowed

Call Dispositions

filter_call_disposition_two_ids
Optional Blank value allowed

Call Dispositions Two Calls Ago

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

record_token_filter_two_id
Optional Blank value allowed

Record Token Filter Two

  • Must be a String

token_value_two_ids
Optional Blank value allowed

Token Value Two Ids

  • Must be a decimal number.

tier
Optional Blank value allowed

The order this rule is checked in relative to the company’s other Wait Rules. Lower tiers are checked first.

  • Must be a decimal number.

lead_wait_rule_group_ids
Optional Blank value allowed

Assign this rule to these Wait Rule Groups.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_filter_two_list
Optional Blank value allowed

Assign the alternate (two) filter by passing an array of key:value pairs, in the same format as record_token_filter_list.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"